MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000608SoldatGameplaypublic2015-05-05 09:432015-09-14 20:21
Reporterkicikici 
Assigned ToShoozza 
PriorityimmediateSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version1.6.9b1 
Target VersionFixed in Version1.6.9 
Summary0000608: Unable to download other version of the map
DescriptionSoldat is crashing when you are trying join server with the other version of the map which you have on your hard drive.
Steps To ReproduceFor example:
1. Invite some players on your server
2. Modify current map (using PW) and upload it on your server
3. Type /restart
4. Players will leave server and their soldat will be freezed (crashed)
TagsNo tags attached.
Attached Files? file icon ctf_JD_Jumper.pms [^] (36,151 bytes) 2015-05-05 10:45
? file icon ctf_JD_Jumper_orig.pms [^] (35,487 bytes) 2015-05-05 10:46

- Relationships

-  Notes
(0002457)
Bistoufly (updater)
2015-05-05 10:39

Confirmed 1.6.9 b1

Soldat client frozen on my machine
(0002458)
kicikici (reporter)
2015-05-05 10:46

Example of the map
ctf_JD_Jumper_orig.pms - original map
ctf_JD_Jumper.pms - recompiled map (added few polies)
(0002460)
kicikici (reporter)
2015-05-05 16:55

Another example:
1. Join server but don't delect team
2. /nextmap from ARSSE
3. Select team now
4. Soldat will freeze
(0002473)
homerofgods (updater)
2015-06-19 16:46

kicikici is this a new bug in 1.6.9.b1 or does it also happen in older versions?
(0002474)
homerofgods (updater)
2015-06-25 22:21

How to reproduce this? I only get Wrong map version detected, and ''FileClient:Socket Error # 10061 Connection refused'' when I try to rejoin.
(0002481)
SyavX (reporter)
2015-07-28 00:15
edited on: 2015-07-28 00:18

Tested @ 1.6.8

1st method:
Client downloads new map version on rejoin after being thrown from the game with a 'Wrong map version' message.

2nd method:
Nothing really happens until you choose any team.
After joining a team:
1. if client didn't have a map - exit with 'Wrong map version', map downloads on rejoin
2. if client had a map - exit with 'Wrong map version', map opens on rejoin
3. if client had a wrong map version - exit with 'Wrong map version', map opens on first rejoin - exit with 'Wrong map version', map downloads on second rejoin

(0002483)
Shoozza (administrator)
2015-08-14 01:10

This bug happens due changes in the udp code (library replacement)

- Issue History
Date Modified Username Field Change
2015-05-05 09:43 kicikici New Issue
2015-05-05 10:29 Bistoufly Status new => acknowledged
2015-05-05 10:39 Bistoufly Note Added: 0002457
2015-05-05 10:39 Bistoufly Status acknowledged => confirmed
2015-05-05 10:45 kicikici File Added: ctf_JD_Jumper.pms
2015-05-05 10:46 kicikici File Added: ctf_JD_Jumper_orig.pms
2015-05-05 10:46 kicikici Note Added: 0002458
2015-05-05 16:55 kicikici Note Added: 0002460
2015-06-19 16:46 homerofgods Note Added: 0002473
2015-06-25 22:21 homerofgods Note Added: 0002474
2015-07-28 00:15 SyavX Note Added: 0002481
2015-07-28 00:15 SyavX Note Edited: 0002481 View Revisions
2015-07-28 00:16 SyavX Note Edited: 0002481 View Revisions
2015-07-28 00:18 SyavX Note Edited: 0002481 View Revisions
2015-08-14 01:10 Shoozza Note Added: 0002483
2015-09-14 20:21 Shoozza Status confirmed => resolved
2015-09-14 20:21 Shoozza Fixed in Version => 1.6.9
2015-09-14 20:21 Shoozza Resolution open => fixed
2015-09-14 20:21 Shoozza Assigned To => Shoozza


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker